# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	0

%define api_version	1.0
%define lib_major	0
%define pkgname     atk

%define lib_name %mklibname %{name}_ %{lib_major}
%define develname %mklibname -d %{name}

Name: %{pkgname}%{api_version}
Version: 2.36.0
Release: %mkrel 1
Summary: Accessibility features for Gtk+
License: LGPLv2+
Group: System/Libraries
Url: http://developer.gnome.org/projects/gap/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%pkgname/%pkgname-%version.tar.xz
BuildRoot: %_tmppath/%name-%{version}-root
#-----------------------------------------
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
#-----------------------------------------
%if %enable_gtkdoc
BuildRequires:	gtk-doc
%endif
BuildRequires: gobject-introspection-devel


%description
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%package common
Summary: Data files used by atk
Group: System/Libraries

%description common
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

This package contains data used by atk library.

%package -n %{lib_name}
Summary: Accessibility features for Gtk+
Group: System/Libraries
Requires: common-licenses
Obsoletes:	%{pkgname} lib%{pkgname}
Provides:	%{pkgname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}

%description -n %{lib_name}
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

%package -n %{develname}
Summary: Stuff for developing with atk
Group: Development/Libraries
Obsoletes:	%{pkgname}-devel lib%{pkgname}-devel
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name}
Requires:	libglib2-devel >= %{req_glib2_version}
Obsoletes: 	%mklibname -d %{name}_ 0
Obsoletes:  lib64atk-devel
Provides:   lib64atk-devel = %{version}-%{release}

%description -n %develname
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson		\
	-Ddocs=false
%meson_build

%install
export LANG=UTF-8
%meson_install


rm -f %{buildroot}%{_libdir}/*.la

%{find_lang} %{pkgname}10

%clean
rm -rf $RPM_BUILD_ROOT

%files common -f %{pkgname}10.lang
%defattr(-,root,root)

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libatk-%{api_version}.so.%{lib_major}*
%_libdir/girepository-1.0/Atk-%{api_version}.typelib

%files -n %develname
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%_datadir/gir-1.0/Atk-%{api_version}.gir


%changelog
* Wed Apr 08 2020 tex - 2.36.0-1pclos2020
- new version

* Tue Sep 10 2019 tex - 2.34.1-1pclos2019
- new version

* Tue Sep 10 2019 tex - 2.34.0-2pclos2019
- rebuild against updates

* Mon Sep 09 2019 tex - 2.34.0-1pclos2019
- new version

* Sat Sep 08 2018 tex 2.23.0-1pclos2018
- NEW
